from django.contrib.gis.db import models
from django.conf import settings
#from base.models import models.Model, file_path
#from mapbox_location_field.spatial.models import SpatialLocationField
#from mapbox_location_field.models import AddressAutoHiddenField
#from base.enums import SensorKind
default_map_attrs = {"style": "mapbox://styles/mapbox/outdoors-v11", "zoom": 15, "center": [-70.407756,-23.670526], "cursor_style": 'pointer', "marker_color": "blue", "rotate": False, "geocoder": True, "fullscreen_button": False, "navigation_buttons": True, "track_location_button": True, "readonly": True, "placeholder": "Busca tu dirección", }

#from django.contrib.auth.models import User

# Create your models here.



class BitacoraPuerto(models.Model):
   #created = models.DateTimeField(auto_now_add=True, editable=False, null=False, blank=False)
   user = models.ForeignKey(settings.AUTH_USER_MODEL, null=True, on_delete=models.SET_NULL)
   model = models.CharField(verbose_name='Model to fill',max_length=50)
   initial_n_model = models.IntegerField(verbose_name='initial len of model object')
   n_to_save = models.IntegerField(verbose_name='n to save')
   n_saved = models.IntegerField(verbose_name='n saved')
   final_n_model = models.IntegerField(verbose_name='final len of model object')




class Censo_2017_UV(models.Model):
   OBJECTID = models.IntegerField(verbose_name='OBJECTID', primary_key=True)
   COD_REGION = models.CharField(verbose_name='Código de Región',max_length=50)
   NOM_REGION = models.CharField(verbose_name='Nombre de Región',max_length=50)
   COD_PROVINCIA = models.CharField(verbose_name='Código de Provincia',max_length=50)
   NOM_PROVINCIA = models.CharField(verbose_name='Nombre de Provincia',max_length=50)
   COD_COMUNA = models.CharField(verbose_name='Código de Comuna',max_length=10)
   NOM_COMUNA = models.CharField(verbose_name='Nombre de Comuna',max_length=50)
   NUM_UV = models.CharField(verbose_name='N° de Unidad Vecinal',max_length=20)
   NOM_UV = models.CharField(verbose_name='Nombre de Unidad Vecinal',max_length=100)
   CODIGO_UV = models.CharField(verbose_name='Código de Unidad Vecinal',max_length=254)
   PORC_VIV = models.FloatField(verbose_name='Porcentaje de viviendas de Manzanas o Entidades completas al interior de la unidad vecinal')
   PERSONAS = models.IntegerField(verbose_name='Número total de personas')
   VIV_PARTICULARES = models.IntegerField(verbose_name='Total de viviendas particulares')
   VIV_COLECTIVAS = models.IntegerField(verbose_name='Total viviendas colectivas')
   VOMP = models.IntegerField(verbose_name='Total viviendas particulares ocupadas con moradores presentes')
   TOT_VIV = models.IntegerField(verbose_name='Total viviendas')
   HOGARES = models.IntegerField(verbose_name='Cantidad de hogares')
   P01_1 = models.IntegerField(verbose_name='Cantidad de viviendas tipo casa')
   P01_2 = models.IntegerField(verbose_name='Cantidad de viviendas tipo departamento en edificio')
   P01_3 = models.IntegerField(verbose_name='Cantidad de viviendas tipo vivienda tradicional indígena (ruka, pae pae u otras)')
   P01_4 = models.IntegerField(verbose_name='Cantidad de viviendas tipo pieza en casa antigua o en conventillo')
   P01_5 = models.IntegerField(verbose_name='Cantidad de viviendas tipo mediagua, mejora, rancho o choza')
   P01_6 = models.IntegerField(verbose_name='Cantidad de viviendas tipo móvil (carpa, casa rodante o similar)')
   P01_7 = models.IntegerField(verbose_name='Cantidad de viviendas tipo otro tipo de vivienda particular')
   P03A_1 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de Hormigón armado')
   P03A_2 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de albañilería: bloque de cemento, piedra o ladrillo')
   P03A_3 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de tabique forrado por ambas caras (madera o acero)')
   P03A_4 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de tabique sin forro interior (madera u otro)')
   P03A_5 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de adobe, barro, quincha, pirca u otro artesanal tradicional')
   P03A_6 = models.IntegerField(verbose_name='Cantidad de viviendascon materialidad en paredes de materiales precarios (lata, cartón, plástico, etc.)')
   P03B_1 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo tejas o tejuelas de arcilla, metálicas, de cemento, de madera, asfálticas o plásticas')
   P03B_2 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo losa hormigón')
   P03B_3 = models.IntegerField(verbose_name='Cantidad de viviendascon materialidad de techo planchas metálicas de zinc, cobre, etc. o fibrocemento (tipo pizarreño)')
   P03B_4 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo fonolita o plancha de fieltro embreado')
   P03B_5 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo paja, coirón, totora o caña')
   P03B_6 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo materiales precarios (lata, cartón, plástico, etc.)')
   P03B_7 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo sin cubierta sólida de techo')
   P03C_1 = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de piso parquet, piso flotante, cerámico, madera, alfombra, flexit, cubrepiso u otro similar, sobre radier o vigas de madera')
   P03C_2 = models.IntegerField(verbose_name='Viviendas con materialidad de piso radier sin revestimiento')
   P03C_3 = models.IntegerField(verbose_name='Viviendas con materialidad de piso baldosa de cemento')
   P03C_4 = models.IntegerField(verbose_name='Viviendas con materialidad de piso capa de cemento sobre tierra')
   P03C_5 = models.IntegerField(verbose_name='Viviendas con materialidad de piso tierra')
   P05_1 = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por red pública')
   P05_2 = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por pozo o noria')
   P05_3 = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por camión aljibe')
   P05_4 = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por río, vertiente, estero, canal, lago, etc.')
   Shape_Length = models.FloatField(verbose_name='Shape_Length')
   Shape_Area = models.FloatField(verbose_name='Shape_Area')
   geometry = models.MultiPolygonField()

   def __str__(self):
     return '%s-%s' % (self.NOM_COMUNA, self.NOM_UV)


class Censo_2017_Manzana(models.Model):
   """ Ceso 2017 """
   FID = models.IntegerField(verbose_name='FID', primary_key=True)
   CUT = models.IntegerField(verbose_name='CUT',)
   REGION = models.CharField(verbose_name='REGION',max_length=55)
   PROVINCIA = models.CharField(verbose_name='PROVINCIA',max_length=50)
   COMUNA = models.CharField(verbose_name='COMUNA',max_length=22)
   SHAPE_Area = models.FloatField(verbose_name='Shape__Area')
   SHAPE_Length = models.FloatField(verbose_name='Shape__Length')
   NOMBRE_DISTRITO = models.CharField(verbose_name='NOMBRE DISTRITO',max_length=256)
   CODIGO_DISTRITO = models.IntegerField(verbose_name='DISTRITO CENSAL',)
   MANZENT = models.FloatField(verbose_name='MANZENT')
   ZONA_CENSAL = models.IntegerField(verbose_name='ZONA CENSAL',)
   MANZANA = models.IntegerField(verbose_name='MANZANA',)
   TOTAL_PERSONAS = models.IntegerField(verbose_name='Número total de personas',)
   TOTAL_HOMBRES = models.CharField(verbose_name='Total de Hombres',max_length=256)
   TOTAL_MUJERES = models.CharField(verbose_name='Total de Mujeres',max_length=256)
   PERSONAS_0_A_5_AÑOS = models.CharField(verbose_name='Total de personas de 0 a 5 años',max_length=256)
   PERSONAS_6_A_14_AÑOS = models.CharField(verbose_name='Total de personas de 6 a 14 años',max_length=256)
   PERSONAS_15_A_64_AÑOS = models.CharField(verbose_name='Total de personas de 15 a 64 años',max_length=256)
   PERSONAS_MAS_65_AÑOS = models.CharField(verbose_name='Total de personas de 65 y más años',max_length=256)
   PERSONAS_EMIGRANTES = models.CharField(verbose_name='Total personas migrantes que residen habitualmente en el territorio nacional',max_length=256)
   PUEBLOS_INDIGENA_ORIGINARIO = models.CharField(verbose_name='Total personas que se consideran pertenecientes a algún pueblo indígena u originario',max_length=256)
   TOTAL_VIV_PARTICULARES = models.IntegerField(verbose_name='Total de viviendas particulares',)
   TOTAL_VIV_COLECTIVAS = models.IntegerField(verbose_name='Total viviendas colectivas',)
   VIV_OCUPA_MORADOR_PRESENTE = models.IntegerField(verbose_name='Total viviendas ocupadas con moradores presentes',)
   TOTAL_VIVIENDAS = models.IntegerField(verbose_name='Total viviendas',)
   CANTIDAD_HOGARES = models.IntegerField(verbose_name='Cantidad de hogares',)
   VIV_TIPO_CASA = models.IntegerField(verbose_name='Cantidad de viviendas tipo casa',)
   VIV_TIPO_DEPTO = models.IntegerField(verbose_name='Cantidad de viviendas tipo departamento en edificio',)
   VIV_TIPO_TRAD_INDIGENA = models.IntegerField(verbose_name='Cantidad de viviendas tipo vivienda tradicional indígena (ruka- pae pae u otras)',)
   VIV_TIPO_PIEZA = models.IntegerField(verbose_name='Cantidad de viviendas tipo pieza en casa antigua o en conventillo',)
   VIV_TIPO_MEDIAGUA = models.IntegerField(verbose_name='Cantidad de viviendas tipo mediagua-mejora-rancho o choza',)
   VIV_TIPO_MOVIL = models.IntegerField(verbose_name='Cantidad de viviendas tipo móvil (carpa-casa rodante o similar)',)
   VIV_TIPO_OTRO_TIPO = models.IntegerField(verbose_name='Cantidad de viviendas tipo otro tipo de vivienda particular',)
   VIV_PARED_HORMIGON_ARMADO = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de Hormigón armado',)
   VIV_PARED_ALBAÑILERIA = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de albañilería: bloque de cemento-piedra o ladrillo',)
   VIV_PARED_TABIQUE_FORRADO = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de tabique forrado por ambas caras (madera o acero)',)
   VIV_PARED_TABIQUE_SIN_FORRO = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de tabique sin forro interior (madera u otro)',)
   VIV_PARED_ADOBE_BARRO = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de adobe-barro-quincha-pirca u otro artesanal tradicional',)
   VIV_PARED_MATERIAL_PRECARIO = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad en paredes de materiales precarios (lata-cartón-plástico-etc.)',)
   VIV_TECHO_TEJAS = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo tejas o tejuelas de arcilla-metálicas de cemento de madera-asfálticas o plásticas',)
   VIV_TECHO_LOSA_HORMIGON = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo losa hormigón',)
   VIV_TECHO_PLANCHAS = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo planchas metálicas de zinc-cobre-etc. O fibrocemento (tipo pizarreño)',)
   VIV_TECHO_FONOLITA = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo fonolita o plancha de fieltro embreado',)
   VIV_TECHO_PAJA = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo paja-coirón-totora o caña',)
   VIV_TECHO_MAT_PRECARIOS = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo materiales precarios (lata-cartón-plástico-etc.)',)
   VIV_TECHO_SIN_CUBIERTA_SOLIDA = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de techo sin cubierta sólida de techo',)
   VIV_PISO_PARQUET_FLOTANTE = models.IntegerField(verbose_name='Cantidad de viviendas con materialidad de piso parquet-piso flotante-cerámico-madera-alfombra-flexit-cubrepiso u otro similar-sobre radier o vigas de madera',)
   VIV_PISO_RADIER = models.IntegerField(verbose_name='Viviendas con materialidad de piso radier sin revestimiento',)
   VIV_PISO_BALDOSA = models.IntegerField(verbose_name='Viviendas con materialidad de piso baldosa de cemento',)
   VIV_PISO_CAPA_CEMENTO = models.IntegerField(verbose_name='Viviendas con materialidad de piso capa de cemento sobre tierra',)
   VIV_PISO_TIERRA = models.IntegerField(verbose_name='Viviendas con materialidad de piso tierra',)
   VIV_MATERIAL_ACEPTABLE = models.IntegerField(verbose_name='Total viviendas con materialidad aceptable',)
   VIV_MATERIAL_RECUPERABLE = models.IntegerField(verbose_name='Total viviendas con materialidad recuperable',)
   VIV_MATERIAL_IRRECUPERABLE = models.IntegerField(verbose_name='Total viviendas con materialidad irrecuperable',)
   VIV_AGUA_RED_PUBLICA = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por red pública',)
   VIV_AGUA_POZO_NORIA = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por pozo o noria',)
   VIV_AGUA_CAMION_ALJIBE = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por camión aljibe',)
   VIV_AGUA_RIO_VERTIENTE = models.IntegerField(verbose_name='Cantidad de viviendas con origen del agua por río, vertiente, estero, canal, lago, etc.',)
   geometry = models.MultiPolygonField()


   def __str__(self):
     return '{}-{}-{}'.format(self.COMUNA, self.ZONA_CENSAL, self.MANZANA)





class RegistroSensor(models.Model):
   nombre = models.CharField(verbose_name='Nombre del sensor',max_length=50)
   descripcion = models.CharField(verbose_name='Descripción del sensor',max_length=150)
   
   tipo_ubicacion = models.PositiveSmallIntegerField(
        ('Tipo de ubicación del sensor'),
        choices=(),#SensorKind.KIND_TIPO_UBICACION_CHOICES,
        default=0,
   )
   orientacion = models.PositiveSmallIntegerField(
        ('Orientación del sensor'),
        choices=(),#SensorKind.KIND_ORIENTACION_CHOICES,
        default=0,
   )
   kind = models.PositiveSmallIntegerField(
        ('Tipo de sensor'),
        choices=(),#SensorKind.KIND_CHOICES,
        default=(),#SensorKind.KIND_CCA,
   )
   
#   locacion = SpatialLocationField(verbose_name='Coordenadas del sensor',map_attrs=default_map_attrs)
#   direccion = AddressAutoHiddenField(verbose_name='Dirección del sensor')

   def __str__(self):
      return '{}-{}'.format(self.nombre, self.get_kind_display())






class Casen_2017(models.Model):
   """
   Modelo de la encuesta CASEN 2017
   fuentes:
   http://observatorio.ministeriodesarrollosocial.gob.cl/encuesta-casen-2017
   http://observatorio.ministeriodesarrollosocial.gob.cl/storage/docs/casen/2017/casen_2017_stata.rar
   http://observatorio.ministeriodesarrollosocial.gob.cl/storage/docs/casen/2017/Libro_de_Codigos_Casen_2017.pdf
   """
   folio = models.FloatField()
   o = models.FloatField()
   id_vivienda = models.FloatField()
   hogar = models.FloatField()
   region = models.FloatField()
   provincia = models.FloatField()
   comuna = models.FloatField()
   zona = models.FloatField()
   expr = models.FloatField()
   expc = models.FloatField()
   expr_div = models.FloatField()
   varstrat = models.FloatField()
   varunit = models.FloatField()
   fecha_dia = models.FloatField()
   fecha_mes = models.FloatField()
   fecha_año = models.FloatField()
   tot_hog = models.FloatField()
   tot_per = models.FloatField()
   tot_par = models.FloatField()
   tot_nuc = models.FloatField()
   pres = models.FloatField()
   marca = models.CharField(max_length=1)
   pco1 = models.FloatField()
   sexo = models.FloatField()
   edad = models.FloatField()
   h4m = models.FloatField()
   h4a = models.FloatField()
   ecivil = models.FloatField()
   h6l = models.FloatField()
   h6h = models.FloatField()
   pareja = models.FloatField()
   nucleo = models.FloatField()
   pco2 = models.FloatField()
   h9a = models.FloatField()
   h9a_esp = models.CharField(max_length=30)
   h9 = models.FloatField()
   h10a = models.FloatField()
   h10b = models.FloatField()
   h10c = models.FloatField()
   h10d = models.FloatField()
   h10e = models.FloatField()
   h10f = models.FloatField()
   e1 = models.FloatField()
   e2 = models.FloatField()
   e3 = models.FloatField()
   e4 = models.FloatField()
   e4_esp = models.CharField(max_length=30)
   e5a = models.FloatField()
   e5a_esp = models.CharField(max_length=30)
   e5b = models.FloatField()
   e6a = models.FloatField()
   e6b = models.FloatField()
   e7 = models.CharField(max_length=91)
   e7_subarea = models.FloatField()
   e7_cod_area = models.FloatField()
   e8 = models.FloatField()
   e9nom = models.CharField(max_length=60)
   e9dir = models.CharField(max_length=59)
   e9com = models.CharField(max_length=20)
   e9com_c_cod = models.FloatField()
   e9com_p_cod = models.FloatField()
   e9rbd = models.FloatField()
   e9rbd_sup = models.FloatField()
   e9depen = models.FloatField()
   e9dv = models.FloatField()
   e9te = models.FloatField()
   e9sup_g = models.FloatField()
   e10 = models.FloatField()
   e11 = models.FloatField()
   e12a = models.FloatField()
   e12b = models.FloatField()
   e12c = models.FloatField()
   e12d = models.FloatField()
   e12e = models.FloatField()
   e13a = models.FloatField()
   e13b1 = models.FloatField()
   e13b1_esp = models.CharField(max_length=30)
   e13b2 = models.FloatField()
   e13b2_esp = models.CharField(max_length=30)
   e14pbu = models.FloatField()
   e14pbt = models.FloatField()
   e14pbd = models.FloatField()
   e14pbm = models.FloatField()
   e14bu = models.FloatField()
   e14bt = models.FloatField()
   e14bd = models.FloatField()
   e14bm = models.FloatField()
   e14bpc = models.FloatField()
   e14mu = models.FloatField()
   e14mt = models.FloatField()
   e14md = models.FloatField()
   e14mm = models.FloatField()
   e15a = models.FloatField()
   e15b = models.FloatField()
   e16 = models.FloatField()
   e17 = models.FloatField()
   e18a = models.FloatField()
   e18b = models.FloatField()
   e19_1 = models.FloatField()
   e19_2 = models.FloatField()
   e0 = models.FloatField()
   o1 = models.FloatField()
   o2 = models.FloatField()
   o3 = models.FloatField()
   o4 = models.FloatField()
   o5 = models.FloatField()
   o6 = models.FloatField()
   o7r1 = models.FloatField()
   o7r2 = models.FloatField()
   o8 = models.FloatField()
   o9a = models.CharField(max_length=71)
   o9b = models.CharField(max_length=107)
   oficio4 = models.FloatField()
   oficio1 = models.FloatField()
   o10 = models.FloatField()
   o11 = models.FloatField()
   o12 = models.FloatField()
   o13 = models.FloatField()
   o14 = models.FloatField()
   o15 = models.FloatField()
   o16 = models.FloatField()
   o17 = models.FloatField()
   o18 = models.FloatField()
   o19 = models.FloatField()
   o20 = models.FloatField()
   o21 = models.CharField(max_length=87)
   o22 = models.CharField(max_length=104)
   rama4_sub = models.FloatField()
   rama1_sub = models.FloatField()
   rama4 = models.FloatField()
   rama1 = models.FloatField()
   o23 = models.CharField(max_length=1)
   o24a = models.FloatField()
   o24b = models.FloatField()
   o24c = models.FloatField()
   o24d = models.FloatField()
   o25a_hr = models.FloatField()
   o25a_min = models.FloatField()
   o25b = models.FloatField()
   o25c = models.FloatField()
   o25c_esp = models.CharField(max_length=20)
   o25d = models.FloatField()
   o25e = models.FloatField()
   o26 = models.FloatField()
   o27 = models.FloatField()
   o28 = models.FloatField()
   o29 = models.FloatField()
   o29_esp = models.CharField(max_length=32)
   o30 = models.FloatField()
   o0 = models.FloatField()
   ch1 = models.FloatField()
   y1 = models.FloatField()
   y2_dias = models.FloatField()
   y2_hrs = models.FloatField()
   y3a = models.FloatField()
   y3ap = models.FloatField()
   y3b = models.FloatField()
   y3bp = models.FloatField()
   y3c = models.FloatField()
   y3cp = models.FloatField()
   y3d = models.FloatField()
   y3dp = models.FloatField()
   y3e = models.FloatField()
   y3ep = models.FloatField()
   y3f = models.FloatField()
   y3fp = models.FloatField()
   y3f_esp = models.CharField(max_length=28)
   y4a = models.FloatField()
   y4b = models.FloatField()
   y4c = models.FloatField()
   y4d = models.FloatField()
   y4d_esp = models.CharField(max_length=30)
   y5a = models.FloatField()
   y5b = models.FloatField()
   y5c = models.FloatField()
   y5d = models.FloatField()
   y5e = models.FloatField()
   y5f = models.FloatField()
   y5g = models.FloatField()
   y5h = models.FloatField()
   y5i = models.FloatField()
   y5j = models.FloatField()
   y5k = models.FloatField()
   y5l = models.FloatField()
   ch2 = models.FloatField()
   y6 = models.FloatField()
   y7 = models.FloatField()
   y8 = models.FloatField()
   y9 = models.FloatField()
   ch3 = models.FloatField()
   y10 = models.FloatField()
   y11 = models.FloatField()
   y12a = models.FloatField()
   y12b = models.FloatField()
   y13a = models.FloatField()
   y13b = models.FloatField()
   y13c = models.FloatField()
   y14a = models.FloatField()
   y14b = models.FloatField()
   y14c = models.FloatField()
   y15a = models.FloatField()
   y15b = models.FloatField()
   y15c = models.FloatField()
   y16a = models.FloatField()
   y16b = models.FloatField()
   y17 = models.FloatField()
   y18a = models.FloatField()
   y18b = models.FloatField()
   y18c = models.FloatField()
   y18d = models.FloatField()
   y18d_esp = models.CharField(max_length=30)
   y19t = models.FloatField()
   y19n = models.FloatField()
   y20a = models.FloatField()
   y20b = models.FloatField()
   y20c = models.FloatField()
   y20d = models.FloatField()
   y20e = models.FloatField()
   y20amonto = models.FloatField()
   y20bmonto = models.FloatField()
   y20cmonto = models.FloatField()
   y20dmonto = models.FloatField()
   y20emonto = models.FloatField()
   y21a = models.FloatField()
   y21b = models.FloatField()
   y22a = models.FloatField()
   y22b = models.FloatField()
   y22c = models.FloatField()
   y22d = models.FloatField()
   y22e = models.FloatField()
   y22amonto = models.FloatField()
   y22bmonto = models.FloatField()
   y22cmonto = models.FloatField()
   y22dmonto = models.FloatField()
   y22emonto = models.FloatField()
   y23a = models.FloatField()
   y23b = models.FloatField()
   y23c = models.FloatField()
   y23bmonto = models.FloatField()
   y23cmonto = models.FloatField()
   y24 = models.FloatField()
   y24_o = models.FloatField()
   y25a = models.FloatField()
   y25b = models.FloatField()
   y25c = models.FloatField()
   y25d = models.FloatField()
   y25amonto = models.FloatField()
   y25bmonto = models.FloatField()
   y25cmonto = models.FloatField()
   y25dmonto = models.FloatField()
   y25e = models.FloatField()
   y25e_o = models.FloatField()
   y25ep = models.FloatField()
   y25f = models.FloatField()
   y25f_o = models.FloatField()
   y25fp = models.FloatField()
   y25g = models.FloatField()
   y25gp = models.FloatField()
   y25g_esp = models.CharField(max_length=30)
   y26_1a = models.FloatField()
   y26_1b = models.FloatField()
   y26_1c = models.FloatField()
   y26_1d = models.FloatField()
   y26_1e = models.FloatField()
   y26_1f = models.FloatField()
   y26_1g = models.FloatField()
   y26_1h = models.FloatField()
   y26_1i = models.FloatField()
   y26_1j = models.FloatField()
   y26_1jesp = models.CharField(max_length=30)
   y26_1amonto = models.FloatField()
   y26_1dmonto = models.FloatField()
   y26_2bm1 = models.FloatField()
   y26_2bm2 = models.FloatField()
   y26_3b_in = models.FloatField()
   y26_4b_mo = models.FloatField()
   y26_2c = models.FloatField()
   y26_3c_in = models.FloatField()
   y26_4c_mo = models.FloatField()
   y26_2em1 = models.FloatField()
   y26_2em2 = models.FloatField()
   y26_3e_in = models.FloatField()
   y26_4e_mo = models.FloatField()
   y26_2f = models.FloatField()
   y26_3f_in = models.FloatField()
   y26_4f_mo = models.FloatField()
   y26_2g = models.FloatField()
   y26_3g_in = models.FloatField()
   y26_4g_mo = models.FloatField()
   y26_2h = models.FloatField()
   y26_3h_in = models.FloatField()
   y26_4h_mo = models.FloatField()
   y26_2i = models.FloatField()
   y26_2j = models.FloatField()
   y26_3j_in = models.FloatField()
   y26_4j_mo = models.FloatField()
   y27a = models.FloatField()
   y27b = models.FloatField()
   y27c = models.FloatField()
   y27d = models.FloatField()
   y27e = models.FloatField()
   y27f = models.FloatField()
   y27g = models.FloatField()
   y0 = models.FloatField()
   s1 = models.FloatField()
   s1c = models.FloatField()
   s2a1 = models.FloatField()
   s2a2 = models.FloatField()
   s3 = models.FloatField()
   s4 = models.FloatField()
   s5 = models.FloatField()
   s6 = models.FloatField()
   s7 = models.FloatField()
   s8 = models.FloatField()
   s9 = models.FloatField()
   s10 = models.FloatField()
   s11 = models.FloatField()
   s12 = models.FloatField()
   s13 = models.FloatField()
   s13p = models.FloatField()
   s14 = models.FloatField()
   s15 = models.FloatField()
   s16 = models.FloatField()
   s17 = models.FloatField()
   s18a = models.FloatField()
   s18b = models.FloatField()
   s18c = models.FloatField()
   s18d = models.FloatField()
   s18e = models.FloatField()
   s19a = models.FloatField()
   s19b = models.FloatField()
   s19c = models.FloatField()
   s20a = models.FloatField()
   s20b = models.FloatField()
   s20c = models.FloatField()
   s21a = models.FloatField()
   s21b = models.FloatField()
   s21c = models.FloatField()
   s22a = models.FloatField()
   s22b = models.FloatField()
   s22c = models.FloatField()
   s23a = models.FloatField()
   s23b = models.FloatField()
   s23c = models.FloatField()
   s24a = models.FloatField()
   s24b = models.FloatField()
   s24c = models.FloatField()
   s25a = models.FloatField()
   s25b = models.FloatField()
   s25c = models.FloatField()
   s26a = models.FloatField()
   s26b_c1 = models.FloatField()
   s26b_c2 = models.FloatField()
   s26b_c3 = models.FloatField()
   s26c = models.FloatField()
   s26d = models.FloatField()
   s27a = models.FloatField()
   s27b = models.FloatField()
   s27c = models.FloatField()
   s27d = models.FloatField()
   s28 = models.FloatField()
   s29 = models.FloatField()
   s30 = models.FloatField()
   s31a1 = models.FloatField()
   s31a2 = models.FloatField()
   s31a3 = models.FloatField()
   s32a = models.FloatField()
   s32b = models.FloatField()
   s32c = models.FloatField()
   s32d = models.FloatField()
   s32e = models.FloatField()
   s32f = models.FloatField()
   s33a1 = models.FloatField()
   s33a2 = models.FloatField()
   s33b1 = models.FloatField()
   s33b2 = models.FloatField()
   s33c1 = models.FloatField()
   s33c2 = models.FloatField()
   s33d1 = models.FloatField()
   s33d2 = models.FloatField()
   s33e1 = models.FloatField()
   s33e2 = models.FloatField()
   s33f1 = models.FloatField()
   s33f2 = models.FloatField()
   s33g1 = models.FloatField()
   s33g2 = models.FloatField()
   s33h1 = models.FloatField()
   s33h2 = models.FloatField()
   s33i1 = models.FloatField()
   s33i2 = models.FloatField()
   s33j1 = models.FloatField()
   s33j2 = models.FloatField()
   ch4 = models.FloatField()
   s34a = models.FloatField()
   s34b_ord = models.FloatField()
   s34c = models.FloatField()
   s0 = models.FloatField()
   r1a = models.FloatField()
   r1a_esp = models.CharField(max_length=20)
   r1a_cod = models.FloatField()
   r1b = models.FloatField()
   r1b_esp = models.CharField(max_length=28)
   r1b_c_cod = models.FloatField()
   r1b_p_cod = models.FloatField()
   r1c_año = models.FloatField()
   r1cp = models.FloatField()
   r2 = models.FloatField()
   r2_esp = models.CharField(max_length=22)
   r2_c_cod = models.FloatField()
   r2_p_cod = models.FloatField()
   r3 = models.FloatField()
   r4 = models.FloatField()
   r5 = models.FloatField()
   r6 = models.FloatField()
   r6_esp = models.CharField(max_length=30)
   r7a = models.FloatField()
   r7b = models.FloatField()
   r7c = models.FloatField()
   r7d = models.FloatField()
   r7e = models.FloatField()
   r7f = models.FloatField()
   r7g = models.FloatField()
   r7h = models.FloatField()
   r7i = models.FloatField()
   r7j = models.FloatField()
   r7k = models.FloatField()
   r8a = models.FloatField()
   r8b = models.FloatField()
   r8c = models.FloatField()
   r8d = models.FloatField()
   r8e = models.FloatField()
   r8f = models.FloatField()
   r8g = models.FloatField()
   r8h = models.FloatField()
   r9a = models.FloatField()
   r9b = models.FloatField()
   r9c = models.FloatField()
   r9d = models.FloatField()
   r9e = models.FloatField()
   r9f = models.FloatField()
   r9g = models.FloatField()
   r9h = models.FloatField()
   r9i = models.FloatField()
   r9j = models.FloatField()
   r9k = models.FloatField()
   r9l = models.FloatField()
   r9m = models.FloatField()
   r9n = models.FloatField()
   r9o = models.FloatField()
   r9p = models.FloatField()
   r9q = models.FloatField()
   r9r = models.FloatField()
   r9r_esp = models.CharField(max_length=30)
   r9s = models.FloatField()
   r10a = models.FloatField()
   r10b = models.FloatField()
   r10c = models.FloatField()
   r10d = models.FloatField()
   r10e = models.FloatField()
   r10f = models.FloatField()
   r10g = models.FloatField()
   r10h = models.FloatField()
   r10i = models.FloatField()
   r10i_esp = models.CharField(max_length=30)
   r11 = models.FloatField()
   r12a = models.FloatField()
   r12b = models.FloatField()
   r13a = models.FloatField()
   r13b = models.FloatField()
   r14 = models.FloatField()
   r15 = models.FloatField()
   r16a = models.FloatField()
   r16b = models.FloatField()
   r16c = models.FloatField()
   r16d = models.FloatField()
   r16e = models.FloatField()
   r17a = models.FloatField()
   r17b = models.FloatField()
   r17c = models.FloatField()
   r17d = models.FloatField()
   r18 = models.FloatField()
   r19 = models.FloatField()
   r20 = models.FloatField()
   r21a = models.FloatField()
   r21b = models.FloatField()
   r21c = models.FloatField()
   r21d = models.FloatField()
   r21e = models.FloatField()
   r21f = models.FloatField()
   r21g = models.FloatField()
   r21h = models.FloatField()
   r21i = models.FloatField()
   r21j = models.FloatField()
   r22 = models.FloatField()
   r23 = models.FloatField()
   r23_esp = models.CharField(max_length=40)
   r24 = models.FloatField()
   r24_esp = models.CharField(max_length=24)
   r0 = models.FloatField()
   v1 = models.FloatField()
   v2 = models.FloatField()
   v3 = models.FloatField()
   v4 = models.FloatField()
   v5 = models.FloatField()
   v6 = models.FloatField()
   v7 = models.FloatField()
   v8 = models.FloatField()
   v9 = models.FloatField()
   v10 = models.FloatField()
   v11_o1 = models.FloatField()
   v11_o2 = models.FloatField()
   v12 = models.FloatField()
   v12mt = models.FloatField()
   v13 = models.FloatField()
   v14 = models.FloatField()
   v15 = models.FloatField()
   v16 = models.FloatField()
   v17 = models.FloatField()
   v18 = models.FloatField()
   v19 = models.FloatField()
   v20 = models.FloatField()
   v20_esp = models.CharField(max_length=38)
   v21 = models.FloatField()
   v22 = models.FloatField()
   v23 = models.FloatField()
   v24 = models.FloatField()
   v25 = models.FloatField()
   v26 = models.FloatField()
   v27a = models.FloatField()
   v27b = models.FloatField()
   v28 = models.FloatField()
   v29 = models.FloatField()
   v30a = models.FloatField()
   v30b = models.FloatField()
   v31 = models.FloatField()
   v31_esp = models.CharField(max_length=30)
   v32 = models.FloatField()
   v32_esp = models.CharField(max_length=30)
   v33 = models.FloatField()
   v34 = models.FloatField()
   v34_esp = models.CharField(max_length=30)
   v35 = models.FloatField()
   v35_esp = models.CharField(max_length=30)
   v36a = models.FloatField()
   v36b = models.FloatField()
   v36c = models.FloatField()
   v37a = models.FloatField()
   v37b = models.FloatField()
   v37c = models.FloatField()
   v37d = models.FloatField()
   v37e = models.FloatField()
   v37f = models.FloatField()
   v37g = models.FloatField()
   v37h = models.FloatField()
   v37i = models.FloatField()
   v38a = models.FloatField()
   v38b = models.FloatField()
   v38c = models.FloatField()
   v38d = models.FloatField()
   v38e = models.FloatField()
   v39a = models.FloatField()
   v39b = models.FloatField()
   v39c = models.FloatField()
   v39d = models.FloatField()
   v39e = models.FloatField()
   v39f = models.FloatField()
   v39g = models.FloatField()
   v40 = models.FloatField()
   v40_esp = models.CharField(max_length=30)
   v0a_1 = models.FloatField()
   v0a_2 = models.FloatField()
   v0a_3 = models.FloatField()
   v0b = models.FloatField()
   y0101 = models.FloatField()
   y0301 = models.FloatField()
   y0302 = models.FloatField()
   y0303 = models.FloatField()
   y0304 = models.FloatField()
   y0305 = models.FloatField()
   y0306 = models.FloatField()
   y0401 = models.FloatField()
   y0402 = models.FloatField()
   y0403 = models.FloatField()
   y0404 = models.FloatField()
   y0501 = models.FloatField()
   y0502 = models.FloatField()
   y0503 = models.FloatField()
   y0504 = models.FloatField()
   y0505 = models.FloatField()
   y0506 = models.FloatField()
   y0507 = models.FloatField()
   y0508 = models.FloatField()
   y0509 = models.FloatField()
   y0510 = models.FloatField()
   y0511 = models.FloatField()
   y0512 = models.FloatField()
   yids = models.FloatField()
   yosa = models.FloatField()
   yta1 = models.FloatField()
   y0701 = models.FloatField()
   y0801 = models.FloatField()
   y0901 = models.FloatField()
   yac2 = models.FloatField()
   y1101 = models.FloatField()
   yosi = models.FloatField()
   yta2 = models.FloatField()
   yre1 = models.FloatField()
   yama = models.FloatField()
   yah1 = models.FloatField()
   yah2 = models.FloatField()
   yrut = models.FloatField()
   yre2 = models.FloatField()
   yre3 = models.FloatField()
   y260201 = models.FloatField()
   y260202 = models.FloatField()
   y2603 = models.FloatField()
   yinv01 = models.FloatField()
   yinv02 = models.FloatField()
   yinv03 = models.FloatField()
   ymon = models.FloatField()
   yorf = models.FloatField()
   yesp = models.FloatField()
   yotp = models.FloatField()
   y2601 = models.FloatField()
   y2604 = models.FloatField()
   ymes = models.FloatField()
   yfa1 = models.FloatField()
   yfa2 = models.FloatField()
   ydes = models.FloatField()
   ydon = models.FloatField()
   ydim = models.FloatField()
   yotr = models.FloatField()
   y2301 = models.FloatField()
   y2401 = models.FloatField()
   y2501 = models.FloatField()
   y2502 = models.FloatField()
   y2503 = models.FloatField()
   y2504 = models.FloatField()
   y2505 = models.FloatField()
   y2506 = models.FloatField()
   y2507 = models.FloatField()
   y2302 = models.FloatField()
   y2303 = models.FloatField()
   y2001 = models.FloatField()
   y2002 = models.FloatField()
   y2003 = models.FloatField()
   y2004 = models.FloatField()
   y2005 = models.FloatField()
   y2201 = models.FloatField()
   y2202 = models.FloatField()
   y2203 = models.FloatField()
   y2204 = models.FloatField()
   y2205 = models.FloatField()
   yfam = models.FloatField()
   ytro = models.FloatField()
   yaut = models.FloatField()
   ysub = models.FloatField()
   ytot = models.FloatField()
   y0101h = models.FloatField()
   y0301h = models.FloatField()
   y0302h = models.FloatField()
   y0303h = models.FloatField()
   y0304h = models.FloatField()
   y0305h = models.FloatField()
   y0306h = models.FloatField()
   y0401h = models.FloatField()
   y0402h = models.FloatField()
   y0403h = models.FloatField()
   y0404h = models.FloatField()
   y0501h = models.FloatField()
   y0502h = models.FloatField()
   y0503h = models.FloatField()
   y0504h = models.FloatField()
   y0505h = models.FloatField()
   y0506h = models.FloatField()
   y0507h = models.FloatField()
   y0508h = models.FloatField()
   y0509h = models.FloatField()
   y0510h = models.FloatField()
   y0511h = models.FloatField()
   y0512h = models.FloatField()
   yosah = models.FloatField()
   ytroh = models.FloatField()
   yta1h = models.FloatField()
   y0701h = models.FloatField()
   y0801h = models.FloatField()
   y0901h = models.FloatField()
   yosih = models.FloatField()
   yta2h = models.FloatField()
   yruth = models.FloatField()
   yac2h = models.FloatField()
   ydesh = models.FloatField()
   yidsh = models.FloatField()
   yotrh = models.FloatField()
   y260201h = models.FloatField()
   y2603h = models.FloatField()
   yinv01h = models.FloatField()
   yinv03h = models.FloatField()
   ymonh = models.FloatField()
   yorfh = models.FloatField()
   yotph = models.FloatField()
   yre1h = models.FloatField()
   yre2h = models.FloatField()
   yre3h = models.FloatField()
   yamah = models.FloatField()
   yah1h = models.FloatField()
   yah2h = models.FloatField()
   ydonh = models.FloatField()
   ymesh = models.FloatField()
   yfa1h = models.FloatField()
   yfa2h = models.FloatField()
   y1101h = models.FloatField()
   ydimh = models.FloatField()
   yfamh = models.FloatField()
   y2001h = models.FloatField()
   y2002h = models.FloatField()
   y2003h = models.FloatField()
   y2004h = models.FloatField()
   y2005h = models.FloatField()
   y2201h = models.FloatField()
   y2202h = models.FloatField()
   y2203h = models.FloatField()
   y2204h = models.FloatField()
   y2205h = models.FloatField()
   y2301h = models.FloatField()
   y2302h = models.FloatField()
   y2303h = models.FloatField()
   y2401h = models.FloatField()
   y2501h = models.FloatField()
   y2502h = models.FloatField()
   y2503h = models.FloatField()
   y2504h = models.FloatField()
   y2505h = models.FloatField()
   y2506h = models.FloatField()
   y2507h = models.FloatField()
   y2601h = models.FloatField()
   y260202h = models.FloatField()
   yinv02h = models.FloatField()
   y2604h = models.FloatField()
   yesph = models.FloatField()
   yauth = models.FloatField()
   ysubh = models.FloatField()
   ytoth = models.FloatField()
   yaimh = models.FloatField()
   ypch = models.FloatField()
   y0101c = models.FloatField()
   y0701c = models.FloatField()
   y260201c = models.FloatField()
   y2603c = models.FloatField()
   y0101ch = models.FloatField()
   y0701ch = models.FloatField()
   y2603ch = models.FloatField()
   y260201ch = models.FloatField()
   yaimcorh = models.FloatField()
   yautcor = models.FloatField()
   ytotcor = models.FloatField()
   yautcorh = models.FloatField()
   ymonecorh = models.FloatField()
   ytotcorh = models.FloatField()
   yoprcor = models.FloatField()
   yoprcorh = models.FloatField()
   ytrabajocor = models.FloatField()
   ytrabajocorh = models.FloatField()
   ypchautcor = models.FloatField()
   ypc = models.FloatField()
   ypchtrabajo = models.FloatField()
   pobreza = models.FloatField()
   dau = models.FloatField()
   dautr = models.FloatField()
   qaut = models.FloatField()
   qautr = models.FloatField()
   numper = models.FloatField()
   asiste = models.FloatField()
   esc = models.FloatField()
   educ = models.FloatField()
   depen = models.FloatField()
   activ = models.FloatField()
   indmat = models.FloatField()
   indsan = models.FloatField()
   calglobviv = models.FloatField()
   iae = models.FloatField()
   iai = models.FloatField()
   hacinamiento = models.FloatField()
   hh_d_asis = models.FloatField()
   hh_d_rez = models.FloatField()
   hh_d_esc = models.FloatField()
   hh_d_mal = models.FloatField()
   hh_d_prevs = models.FloatField()
   hh_d_acc = models.FloatField()
   hh_d_act = models.FloatField()
   hh_d_cot = models.FloatField()
   hh_d_jub = models.FloatField()
   hh_d_habitab = models.FloatField()
   hh_d_hacina = models.FloatField()
   hh_d_estado = models.FloatField()
   hh_d_servbas = models.FloatField()
   hh_d_entorno = models.FloatField()
   hh_d_accesi = models.FloatField()
   hh_d_medio = models.FloatField()
   hh_d_appart = models.FloatField()
   hh_d_tsocial = models.FloatField()
   hh_d_seg = models.FloatField()
   pobreza_multi_4d = models.FloatField()
   pobreza_multi_5d = models.FloatField()



##### MODELS OF THE SIEDU



class Limite_Urbano_Censal_SIEDU(models.Model):
   REGION = models.CharField(max_length=2)
   NOM_REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=3)
   NOM_PROVIN = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=5)
   NOM_COMUNA = models.CharField(max_length=19)
   URBANO = models.CharField(max_length=27)
   TIPO = models.CharField(max_length=18)
   NOM_CATEG = models.CharField(max_length=6)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   sup = models.FloatField()
   geometry = models.MultiPolygonField()

class Distrito_SIEDU(models.Model):
   REGION = models.CharField(max_length=2)
   NOM_REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=3)
   NOM_PROVIN = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=5)
   NOM_COMUNA = models.CharField(max_length=19)
   COD_DISTRI = models.IntegerField()
   TIPO_DISTR = models.CharField(max_length=6)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class Comuna_SIEDU(models.Model):
   REGION = models.CharField(max_length=2)
   NOM_REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=3)
   NOM_PROVIN = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=5)
   NOM_COMUNA = models.CharField(max_length=19)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class EDUCACION_BASICA(models.Model):
   AÑO = models.FloatField()
   RBD = models.FloatField()
   DGV_RBD = models.FloatField()
   NOMBRE_RBD = models.CharField(max_length=90)
   DEPENDENCI = models.CharField(max_length=27)
   TIPO_SOSTE = models.CharField(max_length=16)
   FONO = models.FloatField()
   CELULAR = models.FloatField()
   COD_REGIÓ = models.FloatField()
   REGIÓN = models.CharField(max_length=49)
   COD_PROVIN = models.FloatField()
   PROVINCIA = models.CharField(max_length=23)
   COD_DEPROV = models.FloatField()
   DEPROV = models.CharField(max_length=23)
   COD_COMUNA = models.FloatField()
   COMUNA = models.CharField(max_length=19)
   DIRECCIÓN = models.CharField(max_length=177)
   NÚMERO_DI = models.FloatField()
   MAT_TOTAL = models.FloatField()
   MAT_PARV = models.FloatField()
   MAT_BAS_RE = models.FloatField()
   MAT_BAS_AD = models.FloatField()
   MAT_ESP = models.FloatField()
   MAT_HOM_TO = models.FloatField()
   MAT_MUJ_TO = models.FloatField()
   MAT_SI_TOT = models.FloatField()
   MAT_CHI = models.FloatField()
   MAT_EXT = models.FloatField()
   MAT_NAC = models.FloatField()
   MAT_NO_ETN = models.FloatField()
   MAT_ETNIA = models.FloatField()
   CUR_SIM_TO = models.FloatField()
   CUR_COMB_T = models.FloatField()
   DOC_TOTAL = models.FloatField()
   DOC_AULA = models.FloatField()
   ASI_TOTAL = models.FloatField()
   LATITUD = models.CharField(max_length=17)
   LONGITUD = models.CharField(max_length=16)
   MAT_MHC_RE = models.FloatField()
   MAT_MHC_AD = models.FloatField()
   MAT_MTP_RE = models.FloatField()
   MAT_MTP_AD = models.FloatField()
   ID_EB = models.CharField(max_length=7)
   geometry = models.PointField()

class EJES_VIALES(models.Model):
   CUT = models.IntegerField()
   COMUNA = models.CharField(max_length=5)
   URBANO = models.CharField(max_length=6)
   NOMBRE = models.CharField(max_length=50)
   CLASE_URBANA = models.CharField(max_length=2)
   ALIAS = models.CharField(max_length=48)
   ROL = models.CharField(max_length=10)
   DESTINO_VIAL = models.CharField(max_length=22)
   Shape_Length = models.FloatField()
   Longitud_M = models.FloatField()
   geometry = models.MultiLineStringField()

class EDUCACION_INICIAL(models.Model):
   AGNO_BD = models.FloatField()
   MES_BD = models.FloatField()
   INST = models.CharField(max_length=9)
   COD_ESTABL = models.FloatField()
   COD_ESTA_1 = models.FloatField()
   NOM_ESTABL = models.CharField(max_length=34)
   COD_REGION = models.FloatField()
   DESC_REGIO = models.CharField(max_length=41)
   COD_PROV = models.FloatField()
   DESC_PROV = models.CharField(max_length=23)
   COD_COMUN = models.FloatField()
   DESC_COMUN = models.CharField(max_length=19)
   DESC_RURAL = models.CharField(max_length=6)
   DIRECCION = models.CharField(max_length=65)
   LONGITUD = models.FloatField()
   LATITUD = models.FloatField()
   DESC_PROG = models.CharField(max_length=47)
   DESC_MODAL = models.CharField(max_length=74)
   MATRICULA = models.FloatField()
   MAT_SCMe = models.FloatField()
   MAT_SCMa = models.FloatField()
   MAT_SC_MIX = models.FloatField()
   MAT_SC_NO = models.CharField(max_length=2)
   MAT_MMe = models.FloatField()
   MAT_MMa = models.FloatField()
   MAT_MM_MIX = models.FloatField()
   MAT_NT1 = models.FloatField()
   MAT_NT2 = models.FloatField()
   MAT_NT_MIX = models.FloatField()
   MAT_HET = models.FloatField()
   CAPACIDAD = models.FloatField()
   CAP_AT_SCM = models.FloatField()
   CAP_AT_S_1 = models.FloatField()
   CAP_AT_SC = models.FloatField()
   CAP_AT_SC1 = models.CharField(max_length=2)
   CAP_AT_MMe = models.FloatField()
   CAP_AT_MMa = models.FloatField()
   CAP_AT_MM = models.FloatField()
   CAP_AT_NT1 = models.FloatField()
   CAP_AT_NT2 = models.FloatField()
   CAP_AT_NT = models.FloatField()
   CAP_AT_HET = models.FloatField()
   INSTITUCI = models.CharField(max_length=7)
   geometry = models.PointField()

class CENTROS_SALUD(models.Model):
   COD_ANTIG = models.CharField(max_length=6)
   COD_NVO = models.CharField(max_length=6)
   COD_MAD_O = models.CharField(max_length=6)
   COD_MAD_1 = models.CharField(max_length=6)
   NOMBRE = models.CharField(max_length=72)
   COD_REG = models.CharField(max_length=2)
   REGION = models.CharField(max_length=44)
   COD_SSALUD = models.CharField(max_length=2)
   SERVIC_SAL = models.CharField(max_length=44)
   CUT = models.CharField(max_length=5)
   COMUNA = models.CharField(max_length=19)
   PERTENENCI = models.CharField(max_length=13)
   TIPO_ESTAB = models.CharField(max_length=28)
   TIPO_ESTRA = models.CharField(max_length=63)
   ESTAB_ES_1 = models.CharField(max_length=63)
   CERTIFI = models.CharField(max_length=24)
   DEPENDEN = models.CharField(max_length=19)
   NIV_ATE = models.CharField(max_length=9)
   NOM_OFIC = models.CharField(max_length=90)
   VIA = models.CharField(max_length=7)
   DIRECCION = models.CharField(max_length=67)
   FECH_VIGE = models.CharField(max_length=19)
   FECH_CIERR = models.CharField(max_length=10)
   FECH_REAPE = models.CharField(max_length=10)
   FECH_CMB = models.CharField(max_length=11)
   OBSERV = models.CharField(max_length=86)
   CLASIF_SAP = models.CharField(max_length=8)
   VACUNAT = models.CharField(max_length=1)
   LONGITUD_1 = models.FloatField()
   LATITUD_Y = models.FloatField()
   geometry = models.PointField()

class PARADEROS_TRANSPORTE(models.Model):
   stop_name = models.CharField(max_length=73)
   stop_desc = models.CharField(max_length=59)
   stop_lat = models.FloatField()
   stop_lon = models.FloatField()
   distancia = models.FloatField()
   geometry = models.PointField()

class PARQUES(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=44)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   AREA_C = models.CharField(max_length=6)
   COD_URBANO_CENSO = models.IntegerField()
   URBANO_CENSO = models.CharField(max_length=23)
   TIPO_EP = models.CharField(max_length=6)
   NOMBRE_EP = models.CharField(max_length=49)
   OBSERVACIONES = models.CharField(max_length=50)
   SUP_TOTAL_M2 = models.FloatField()
   ID_TEXT = models.CharField(max_length=10)
   NOMBRE_MINVU = models.CharField(max_length=50)
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class PLAZAS(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=44)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   AREA_C = models.CharField(max_length=6)
   COD_URBANO_CENSO = models.IntegerField()
   URBANO_CENSO = models.CharField(max_length=25)
   TIPO_EP = models.CharField(max_length=5)
   NOMBRE_EP = models.CharField(max_length=49)
   OBSERVACIONES = models.CharField(max_length=50)
   SUP_TOTAL_M2 = models.FloatField()
   ID_TEXT = models.CharField(max_length=10)
   NOMBRE_MINVU = models.CharField(max_length=50)
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class CICLOVIAS(models.Model):
   Fuente = models.CharField(max_length=6)
   CUT_SIEDU = models.IntegerField()
   COM_SIEDU = models.CharField(max_length=1)
   ID_SIEDU = models.FloatField()
   Shape_Length = models.FloatField()
   Longitud_M = models.FloatField()
   Longitud_KM = models.FloatField()
   geometry = models.MultiLineStringField()

class BPU20_Manzana_Dist_Ind(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   COD_DISTRITO = models.IntegerField()
   COD_LOCALIDAD_ZONA = models.IntegerField()
   COD_ENTIDAD_MANZANA = models.IntegerField()
   PERSONAS = models.FloatField()
   DE_0_A_5_ANOS = models.CharField(max_length=13)
   DE_6_A_14_ANOS = models.CharField(max_length=13)
   DE_15_A_64_ANOS = models.CharField(max_length=13)
   DE_65_MAS_ANOS = models.CharField(max_length=13)
   VIVIENDAS_PARTICULARES = models.FloatField()
   VIVIENDAS_COLECTIVAS = models.FloatField()
   VIV_OCUPADAS_PERS_PRESENTES = models.FloatField()
   TOTAL_VIVIENDAS = models.FloatField()
   Manzent_T = models.CharField(max_length=14)
   Total_Longitud = models.FloatField()
   ESTANDAR_CNDU = models.CharField(max_length=11)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class BPU1_Manzana_Dist_Ind(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   COD_DISTRITO = models.IntegerField()
   COD_LOCALIDAD_ZONA = models.IntegerField()
   COD_ENTIDAD_MANZANA = models.IntegerField()
   PERSONAS = models.FloatField()
   DE_0_A_5_ANOS = models.CharField(max_length=13)
   DE_6_A_14_ANOS = models.CharField(max_length=13)
   DE_15_A_64_ANOS = models.CharField(max_length=13)
   DE_65_MAS_ANOS = models.CharField(max_length=13)
   VIVIENDAS_PARTICULARES = models.FloatField()
   VIVIENDAS_COLECTIVAS = models.FloatField()
   VIV_OCUPADAS_PERS_PRESENTES = models.FloatField()
   TOTAL_VIVIENDAS = models.FloatField()
   Manzent_T = models.CharField(max_length=14)
   Total_Longitud = models.FloatField()
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   ESTANDAR_CNDU = models.CharField(max_length=11)
   geometry = models.MultiPolygonField()

class BPU22_Manzana_Dist_Ind(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   COD_DISTRITO = models.IntegerField()
   COD_LOCALIDAD_ZONA = models.IntegerField()
   COD_ENTIDAD_MANZANA = models.IntegerField()
   PERSONAS = models.FloatField()
   DE_0_A_5_ANOS = models.CharField(max_length=13)
   DE_6_A_14_ANOS = models.CharField(max_length=13)
   DE_15_A_64_ANOS = models.CharField(max_length=13)
   DE_65_MAS_ANOS = models.CharField(max_length=13)
   VIVIENDAS_PARTICULARES = models.FloatField()
   VIVIENDAS_COLECTIVAS = models.FloatField()
   VIV_OCUPADAS_PERS_PRESENTES = models.FloatField()
   TOTAL_VIVIENDAS = models.FloatField()
   Manzent_T = models.CharField(max_length=14)
   Total_Longitud = models.FloatField()
   ESTANDAR_CNDU = models.CharField(max_length=11)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class BPU7_Manzana_Dist_Ind(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   COD_DISTRITO = models.IntegerField()
   COD_LOCALIDAD_ZONA = models.IntegerField()
   COD_ENTIDAD_MANZANA = models.IntegerField()
   PERSONAS = models.FloatField()
   DE_0_A_5_ANOS = models.CharField(max_length=13)
   DE_6_A_14_ANOS = models.CharField(max_length=13)
   DE_15_A_64_ANOS = models.CharField(max_length=13)
   DE_65_MAS_ANOS = models.CharField(max_length=13)
   VIVIENDAS_PARTICULARES = models.FloatField()
   VIVIENDAS_COLECTIVAS = models.FloatField()
   VIV_OCUPADAS_PERS_PRESENTES = models.FloatField()
   TOTAL_VIVIENDAS = models.FloatField()
   Manzent_T = models.CharField(max_length=14)
   Total_Longitud = models.FloatField()
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   ESTANDAR_CNDU = models.CharField(max_length=11)
   geometry = models.MultiPolygonField()

class BPU25_Manzana_Dist_Ind(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   COD_DISTRITO = models.IntegerField()
   COD_LOCALIDAD_ZONA = models.IntegerField()
   COD_ENTIDAD_MANZANA = models.IntegerField()
   PERSONAS = models.FloatField()
   DE_0_A_5_ANOS = models.CharField(max_length=13)
   DE_6_A_14_ANOS = models.CharField(max_length=13)
   DE_15_A_64_ANOS = models.CharField(max_length=13)
   DE_65_MAS_ANOS = models.CharField(max_length=13)
   VIVIENDAS_PARTICULARES = models.FloatField()
   VIVIENDAS_COLECTIVAS = models.FloatField()
   VIV_OCUPADAS_PERS_PRESENTES = models.FloatField()
   TOTAL_VIVIENDAS = models.FloatField()
   Manzent_T = models.CharField(max_length=14)
   Total_Longitud = models.FloatField()
   ESTANDAR_CNDU = models.CharField(max_length=11)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class EA48_Exposicion_Tsunami(models.Model):
   COD_REG = models.FloatField()
   NOMBRE_REGION = models.CharField(max_length=46)
   COD_PROV = models.FloatField()
   NOMBRE_PROVINCIA = models.CharField(max_length=11)
   COD_COM = models.FloatField()
   NOMBRE_COMUNA = models.CharField(max_length=13)
   POB_URB_2017 = models.FloatField()
   POB_URB_AFECTADA = models.FloatField()
   PORCENTAJE_EA_48 = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class IS40_Calidad_Veredas(models.Model):
   CUT = models.IntegerField()
   MANZENT = models.FloatField()
   COD_REGION = models.FloatField()
   NOM_REGION = models.CharField(max_length=51)
   COD_PROVINCIA = models.FloatField()
   NOM_PROVINCIA = models.CharField(max_length=23)
   NOM_COMUNA = models.CharField(max_length=19)
   DISTRITO = models.FloatField()
   ZONA = models.FloatField()
   MANZANA = models.FloatField()
   VOMP = models.FloatField()
   VOMA = models.FloatField()
   VD = models.FloatField()
   VC = models.FloatField()
   TOT_VIV = models.FloatField()
   VEREDAS = models.CharField(max_length=9)
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class EA31_CCU_2017(models.Model):
   REGIÓN = models.CharField(max_length=51)
   NOMBRE = models.CharField(max_length=46)
   SUPERFICIE = models.FloatField()
   TOTAL_VIV = models.FloatField()
   TOTAL_PER = models.FloatField()
   PER_HA = models.FloatField()
   VIV_HA = models.FloatField()
   PESO_ADMIN = models.CharField(max_length=18)
   TIPO = models.CharField(max_length=9)
   AFECT_EMER = models.CharField(max_length=2)
   ID_U_2017 = models.IntegerField()
   TCU_BRUTA_2017_2011 = models.FloatField()
   POR_CU_2017_2011 = models.FloatField()
   TCU_2017_2011 = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class EA31_CCU_2011(models.Model):
   REGIÓN = models.CharField(max_length=51)
   NOMBRE = models.CharField(max_length=40)
   SUPERFICIE = models.FloatField()
   PESO_ADMIN = models.CharField(max_length=18)
   TIPO = models.CharField(max_length=10)
   ID_U_2011 = models.IntegerField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class IS39_Unidades_Vecinales_Segregacion(models.Model):
   REGION = models.IntegerField()
   N_REGION = models.CharField(max_length=50)
   PROVINCIA = models.IntegerField()
   N_PROVINCI = models.CharField(max_length=11)
   CUT = models.IntegerField()
   COMUNA = models.CharField(max_length=19)
   UV = models.CharField(max_length=15)
   N_UV = models.CharField(max_length=99)
   COD_UV = models.CharField(max_length=17)
   HOG_VULNER = models.FloatField()
   HOG_NO_VUL = models.FloatField()
   HOG_CENSO = models.FloatField()
   PORC_VULNE = models.FloatField()
   RANGO = models.CharField(max_length=15)
   ACEPTABLE = models.CharField(max_length=3)
   AREA = models.CharField(max_length=6)
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class BPU3_Manzana_Por_Pob(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=2)
   PROVINCIA = models.CharField(max_length=3)
   COMUNA = models.CharField(max_length=5)
   AREA_C = models.CharField(max_length=1)
   MANZENT = models.FloatField()
   DISTRITO = models.CharField(max_length=7)
   COD_DISTRITO = models.IntegerField()
   COD_LOCALIDAD_ZONA = models.IntegerField()
   COD_ENTIDAD_MANZANA = models.IntegerField()
   CATEGORIA = models.CharField(max_length=1)
   COD_CATEGORIA = models.IntegerField()
   MZ_BASE_CENSO = models.CharField(max_length=1)
   TOTAL_PERSONAS = models.FloatField()
   TOTAL_HOMBRES = models.FloatField()
   TOTAL_MUJERES = models.FloatField()
   EDAD_0_A_5 = models.FloatField()
   EDAD_6_A_14 = models.FloatField()
   EDAD_15_A_64 = models.FloatField()
   EDAD_65_Y_MAS = models.FloatField()
   TOTAL_VIVIENDAS = models.FloatField()
   Manzent_T = models.CharField(max_length=14)
   OBJECTID_1 = models.FloatField()
   Name = models.CharField(max_length=24)
   OriginID = models.FloatField()
   DestinationID = models.FloatField()
   DestinationRank = models.FloatField()
   Total_Longitud = models.FloatField()
   Shape_Length_1 = models.FloatField()
   ORIGEN = models.CharField(max_length=14)
   OBJECTID_12 = models.IntegerField()
   CUT_1 = models.IntegerField()
   Cnt_CUT = models.IntegerField()
   Sum_EDAD_6_A_14 = models.FloatField()
   POR_POB = models.FloatField()
   IND_DIST_MIN = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class BPU3_Manzana_Dist_Ind(models.Model):
   CUT = models.IntegerField()
   REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=19)
   COD_DISTRITO = models.IntegerField()
   COD_LOCALIDAD_ZONA = models.IntegerField()
   COD_ENTIDAD_MANZANA = models.IntegerField()
   PERSONAS = models.FloatField()
   DE_0_A_5_ANOS = models.CharField(max_length=13)
   DE_6_A_14_ANOS = models.CharField(max_length=13)
   DE_15_A_64_ANOS = models.CharField(max_length=13)
   DE_65_MAS_ANOS = models.CharField(max_length=13)
   VIVIENDAS_PARTICULARES = models.FloatField()
   VIVIENDAS_COLECTIVAS = models.FloatField()
   VIV_OCUPADAS_PERS_PRESENTES = models.FloatField()
   TOTAL_VIVIENDAS = models.FloatField()
   Manzent_T = models.CharField(max_length=14)
   Total_Longitud = models.FloatField()
   ESTANDAR_CNDU = models.CharField(max_length=11)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class Zona_SIEDU(models.Model):
   REGION = models.CharField(max_length=2)
   NOM_REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=3)
   NOM_PROVIN = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=5)
   NOM_COMUNA = models.CharField(max_length=19)
   URBANO = models.CharField(max_length=27)
   DISTRITO = models.IntegerField()
   LOC_ZON = models.IntegerField()
   GEOCODIGO = models.CharField(max_length=11)
   SHAPE_Length = models.FloatField()
   SHAPE_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class BPU17_Ejes_Urbano_Rural(models.Model):
   CUT = models.IntegerField()
   COMUNA = models.CharField(max_length=5)
   URBANO = models.CharField(max_length=6)
   NOMBRE = models.CharField(max_length=50)
   CLASE_URBANA = models.CharField(max_length=2)
   ALIAS = models.CharField(max_length=50)
   AREA_C = models.CharField(max_length=1)
   ROL = models.CharField(max_length=10)
   Shape_Length = models.FloatField()
   SUPERFICIE = models.FloatField()
   geometry = models.MultiLineStringField()

class CLASIFICACION_SUELO_I_II_III(models.Model):
   TEXTCAUS = models.CharField(max_length=3)
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class SITIOS_ESTRATEGIAS_REGIONALES(models.Model):
   ESCALA = models.CharField(max_length=12)
   REGION = models.IntegerField()
   NOMBRE = models.CharField(max_length=90)
   Shape_STAr = models.FloatField()
   Shape_STLe = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class CONCESIONES_SANITARIAS_2018(models.Model):
   RUT = models.CharField(max_length=9)
   EMPRESA = models.CharField(max_length=54)
   REGION = models.FloatField()
   ID_TO = models.FloatField()
   DEM_TO = models.CharField(max_length=45)
   TXT_ETIQUE = models.CharField(max_length=46)
   REGION_TXT = models.CharField(max_length=4)
   AREA_M2 = models.FloatField()
   ID_Localid = models.IntegerField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class RUIDO_DIURNO(models.Model):
   DB_LO = models.FloatField()
   DB_HI = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class RUIDO_NOCTURNO(models.Model):
   DB_LO = models.FloatField()
   DB_HI = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class DE25_Ejes_Principales(models.Model):
   CUT = models.IntegerField()
   COMUNA = models.CharField(max_length=5)
   URBANO = models.CharField(max_length=6)
   NOMBRE = models.CharField(max_length=49)
   CLASE_URBANA = models.CharField(max_length=1)
   ALIAS = models.CharField(max_length=46)
   ROL = models.CharField(max_length=9)
   DESTINO_VIAL = models.CharField(max_length=4)
   Longitud_M = models.FloatField()
   Shape_Length = models.FloatField()
   geometry = models.MultiLineStringField()

class DE25_Nodos(models.Model):
   CUT = models.IntegerField()
   ORIG_FID = models.IntegerField()
   geometry = models.PointField()

class DE25_Red_Conteo_Nodos(models.Model):
   CONTEO = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class IP33A_CCU2017_por_Comuna(models.Model):
   OBJECTID = models.IntegerField()
   REGION = models.CharField(max_length=2)
   NOM_REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=3)
   NOM_PROVIN = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=5)
   NOM_COMUNA = models.CharField(max_length=19)
   Sup_H = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class IP33B_Superficie_Suelo_Agricola(models.Model):
   REGION = models.CharField(max_length=2)
   NOM_REGION = models.CharField(max_length=51)
   PROVINCIA = models.CharField(max_length=3)
   NOM_PROVIN = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=5)
   NOM_COMUNA = models.CharField(max_length=19)
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class IP33C_Superficie_Sitios_Prioritarios(models.Model):
   REGION = models.CharField(max_length=2)
   NOM_REGION = models.CharField(max_length=48)
   PROVINCIA = models.CharField(max_length=3)
   NOM_PROVIN = models.CharField(max_length=23)
   COMUNA = models.CharField(max_length=5)
   NOM_COMUNA = models.CharField(max_length=19)
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()

class EA8_9_Concesiones_Sanitarias(models.Model):
   COD_LOC = models.FloatField()
   LOCALIDAD = models.CharField(max_length=36)
   RUT = models.CharField(max_length=8)
   EMPRESA = models.CharField(max_length=43)
   REGION = models.FloatField()
   ID_TO = models.FloatField()
   DEM_TO = models.CharField(max_length=62)
   VIVIENDAS = models.FloatField()
   PERSONAS_P = models.FloatField()
   Shape_Leng = models.FloatField()
   Shape_Length = models.FloatField()
   Shape_Area = models.FloatField()
   geometry = models.MultiPolygonField()


class MetadatosIndicadoresSIEDU(models.Model):
   ID = models.CharField(max_length=8,verbose_name="ID", primary_key=True)
   Compromiso = models.CharField(max_length=90,verbose_name="Compromiso")
   Atributo = models.CharField(max_length=119,verbose_name="Atributo ")
   Indicador_Titulo_del_recurso = models.CharField(max_length=211,verbose_name="Indicador / Título del recurso")
   Tipo_de_indicador = models.CharField(max_length=15,verbose_name="Tipo de indicador")
   Ano_del_indicador = models.CharField(max_length=32,verbose_name="Año del indicador")
   Escala_del_indicador = models.CharField(max_length=7,verbose_name="Escala del indicador")
   Descripcion_Resumen = models.CharField(max_length=1308,verbose_name="Descripción / Resumen")
   Tipo_de_procesamiento = models.CharField(max_length=68,verbose_name="Tipo de procesamiento")
   Cobertura_del_Indicador = models.CharField(max_length=132,verbose_name="Cobertura del Indicador")
   N_de_unidades_territoriales = models.CharField(max_length=56,verbose_name="N° de unidades territoriales")
   Unidad_Forma_de_representacion = models.CharField(max_length=84,verbose_name="Unidad / Forma de representación")
   Fecha_de_creacion = models.CharField(max_length=19,verbose_name="Fecha de creación")
   Fecha_de_actualizacion = models.CharField(max_length=19,verbose_name="Fecha de actualización")
   Frecuencia = models.CharField(max_length=41,verbose_name="Frecuencia")
   Palabras_claves = models.CharField(max_length=87,verbose_name="Palabras claves")
   Categoria_del_indicador = models.CharField(max_length=36,verbose_name="Categoría del indicador")
   Responsable_del_metadato = models.CharField(max_length=107,verbose_name="Responsable del metadato")
   Limitaciones_del_Indicador = models.CharField(max_length=768,verbose_name="Limitaciones del Indicador ")
   Relacion_con_otros_indicadores = models.CharField(max_length=40,verbose_name="Relación con otros indicadores")
   Variable_1_requerida_para_la_construccion_del_indicador = models.CharField(max_length=715,verbose_name="Variable 1 requerida para la construcción del indicador ")
   Fuente_variable_1_Nombre_de_la_organizacion = models.CharField(max_length=145,verbose_name="Fuente variable 1 / Nombre de la organización")
   Ano_variable_1 = models.CharField(max_length=286,verbose_name="Año variable 1")
   Escala_disponible_de_variable_1 = models.CharField(max_length=139,verbose_name="Escala disponible de variable 1")
   Variable_2_requerida_para_la_construccion_del_indicador = models.CharField(max_length=117,verbose_name="Variable 2 requerida para la construcción del indicador ")
   Fuente_variable_2_Nombre_de_la_organizacion = models.CharField(max_length=66,verbose_name="Fuente variable 2 / Nombre de la organización")
   Ano_variable_2 = models.CharField(max_length=344,verbose_name="Año variable 2")
   Escala_disponible_de_variable_2 = models.CharField(max_length=39,verbose_name="Escala disponible de variable 2")
   Variable_3_requerida_para_la_construccion_del_indicador = models.CharField(max_length=96,verbose_name="Variable 3 requerida para la construcción del indicador ")
   Fuente_variable_3_Nombre_de_la_organizacion = models.CharField(max_length=35,verbose_name="Fuente variable 3 / Nombre de la organización")
   Ano_variable_3 = models.CharField(max_length=10,verbose_name="Año variable 3")
   Escala_disponible_de_variable_3 = models.CharField(max_length=22,verbose_name="Escala disponible de variable 3")
   Variable_4_requerida_para_la_construccion_del_indicador = models.CharField(max_length=30,verbose_name="Variable 4 requerida para la construcción del indicador ")
   Fuente_variable_4_Nombre_de_la_organizacion = models.CharField(max_length=23,verbose_name="Fuente variable 4 / Nombre de la organización")
   Ano_variable_4 = models.FloatField(verbose_name="Año variable 4")
   Escala_disponible_de_variable_4 = models.CharField(max_length=7,verbose_name="Escala disponible de variable 4")

class IndicadoresSIEDU(models.Model):
   Region = models.CharField(max_length=18)
   Provincia = models.CharField(max_length=23)
   Area = models.CharField(max_length=15)
   Nombre_Ciudad = models.CharField(max_length=40)
   Cod_Ciudad = models.IntegerField()
   Comuna = models.CharField(max_length=19)
   CUT = models.IntegerField(primary_key=True)
   BPU_20 = models.FloatField(verbose_name="Distancia a plazas públicas")
   BPU_21 = models.FloatField(verbose_name="Superficie de plazas públicas por habitante que cumple estándar de distancia (400 metros)")
   BPU_22 = models.FloatField(verbose_name="Distancia a parques públicos")
   BPU_23 = models.FloatField(verbose_name="Superficie de parques públicos por habitante que cumple estándar de distancia (3000 metros)")
   BPU_28a = models.FloatField(verbose_name="Porcentaje de población atendida por el sistema de plazas públicas ")
   BPU_28b = models.FloatField(verbose_name="Porcentaje de población atendida por el sistema de parques públicos")
   BPU_29 = models.FloatField(verbose_name="Superficie de áreas verdes públicas por habitante ")
   BPU_7 = models.FloatField(verbose_name="Distancia a centros de salud primaria")
   BPU_8 = models.FloatField(verbose_name="Cantidad de jornadas diarias completas de trabajo de médicos en salud primaria por cada 10.000 habitantes ")
   BPU_3 = models.FloatField(verbose_name="Distancia a establecimientos de educación básica")
   BPU_4 = models.FloatField(verbose_name="Razón entre disponibilidad efectiva de matrículas y demanda potencial por educación básica ")
   BPU_1 = models.FloatField(verbose_name="Distancia a establecimientos de educación inicial")
   BPU_25 = models.FloatField(verbose_name="Distancia a paraderos de transporte público mayor")
   BPU_26 = models.FloatField(verbose_name="Densidad de oferta planificada de transporte público mayor en periodo punta mañana, por persona")
   BPU_26x = models.FloatField(verbose_name="Densidad de la oferta real de transporte público mayor en periodo punta mañana, por persona")
   BPU_26b = models.FloatField(verbose_name="Densidad de oferta planificada de transporte público menor en periodo punta mañana, por persona")
   EA_93 = models.FloatField(verbose_name="Porcentaje de cobertura de la red de ciclovía sobre la red vial")
   DE_25 = models.FloatField(verbose_name="Promedio de intersecciones relevantes cada 1,44 km²")
   DE_33 = models.FloatField(verbose_name="Relación entre el tiempo de viaje en hora punta respecto del tiempo de viaje fuera de hora punta")
   DE_102 = models.FloatField(verbose_name="Partición modal del transporte público (número de viajes en transporte público respecto al número total de viajes) ")
   DE_105 = models.FloatField(verbose_name="Partición modal del transporte sustentable (suma de viajes en transporte público, caminata y bicicleta respecto al número total de viajes)")
   DE_28 = models.FloatField(verbose_name="Número de víctimas mortales en siniestros de tránsito por cada 100.000 habitantes")
   DE_31 = models.FloatField(verbose_name="Número de víctimas lesionadas en siniestros de tránsito por cada 100.000 habitantes")
   DE_16 = models.FloatField(verbose_name="Tiempo de viaje en hora punta mañana")
   DE_29 = models.FloatField(verbose_name="Tiempo de viaje en transporte público en hora punta mañana")
   EA_10 = models.FloatField(verbose_name="Porcentaje de personas potencialmente expuestas a niveles de ruido diurno inaceptables (Ln > 65 dBA OCDE)")
   EA_90 = models.FloatField(verbose_name="Porcentaje de personas potencialmente expuestas a niveles de ruido nocturno inaceptables (Ln > 55 dBA OCDE)")
   EA_34 = models.FloatField(verbose_name="Cantidad (kg) de disposición final de residuos sólidos urbanos per cápita")
   EA_35 = models.CharField(max_length=5,verbose_name="Número de microbasurales por cada 10.000 habitantes")
   EA_22 = models.FloatField(verbose_name="Consumo de energía eléctrica per cápita residencial")
   EA_22a = models.FloatField(verbose_name="Consumo de energía eléctrica per cápita no residencial")
   EA_23 = models.FloatField(verbose_name="Porcentaje de aporte de energía eléctrica de origen domiciliario")
   BPU_24 = models.FloatField(verbose_name="Tasa de conexiones residenciales fijas de internet por cada 1.000 viviendas particulares")
   IS_91 = models.FloatField(verbose_name="Indisponibilidad de suministro eléctrico - indicador SAIDI anual")
   IS_40 = models.FloatField(verbose_name="Porcentaje de manzanas con veredas con buena calidad de pavimento")
   IS_31 = models.FloatField(verbose_name="Porcentaje de viviendas particulares que requieren mejoras de materialidad y/o servicios básicos")
   IS_32 = models.IntegerField(verbose_name="Requerimiento de viviendas nuevas urbanas")
   IS_33 = models.FloatField(verbose_name="Porcentaje de viviendas en situación de hacinamiento")
   IS_34 = models.FloatField(verbose_name="Porcentaje de viviendas con situación de allegamiento externo")
   IS_36 = models.FloatField(verbose_name="Porcentaje de la población en situación de pobreza (pobreza por ingresos MDS)")
   IS_37 = models.FloatField(verbose_name="Porcentaje de la población en situación de pobreza (pobreza multidimensional MDS)")
   IS_39 = models.FloatField(verbose_name="Porcentaje de unidades vecinales de la comuna que tienen entre 20% y 60% de hogares vulnerables")
   IS_39a = models.FloatField(verbose_name="Índice de segregación de la población vulnerable")
   IS_58 = models.FloatField(verbose_name="Número de denuncias por delito en el espacio público cada 100 habitantes")
   DE_48 = models.FloatField(verbose_name="Porcentaje de superficie no construida (sitios eriazos) en áreas urbanas")
   IS_5 = models.FloatField(verbose_name="Diferencia entre el valor de suelo más alto y el más bajo entre las áreas homogéneas (urbanas) definidas por el Servicio de Impuestos Internos")
   EA_48 = models.CharField(max_length=17,verbose_name="Porcentaje de población expuesta a inundación por tsunami")
   IG_1 = models.FloatField(verbose_name="Porcentaje de la inversión nacional a escala comunal en la que participa el municipio como institución contratante")
   IG_66 = models.CharField(max_length=2,verbose_name="Plan regulador comunal actualizado")
   DE_3 = models.FloatField(verbose_name="Participación del Fondo Común Municipal (FCM) en el ingreso municipal total (descontadas las transferencias)")
   IP_6 = models.FloatField(verbose_name="Porcentaje de inversión pública destinada a proyectos que tienen procesos de intervención de restauración de inmuebles patrimoniales sobre el total de inversión destinada a proyectos con recomendación favorable.")
   IP_34 = models.CharField(max_length=5,verbose_name="Zonas de Conservación Histórica (ZCH) con norma urbana específica (Plano Seccional/ Plano de Detalle) en Instrumentos de Planificación Territorial (IPT\'s)")
   IP_34a = models.CharField(max_length=5,verbose_name="Zonas de Conservación Histórica (ZCH) con norma arquitectónica específica (Plano Seccional / Plano de Detalle) en Instrumentos de Planificación Territorial (IPT\'s)")
   IP_48 = models.CharField(max_length=2,verbose_name="Plan Regulador Comunal (PRC) reconoce inmuebles y/o zonas de conservación histórica")
   IP_43 = models.CharField(max_length=6,verbose_name="Porcentaje de zonas típicas con lineamientos de intervención aprobados")
   IP_43a = models.CharField(max_length=17,verbose_name="Porcentaje de zonas típicas con lineamientos de intervención en desarrollo")
   IG_92 = models.CharField(max_length=3,verbose_name="El Municipio cuenta con mecanismos de presupuestos participativos")
   IG_91 = models.FloatField(verbose_name="Monto total per cápita, en pesos, de fondos entregados por el municipio a la comunidad vía proyectos concursables para el mejoramiento urbano")
   IG_90 = models.FloatField(verbose_name="Porcentaje de participación en las elecciones municipales, por comuna")
   DE_36 = models.FloatField(verbose_name="Porcentaje de la población dentro del área de influencia de la red de transporte público mayor")
   EA_16 = models.CharField(max_length=3,verbose_name="Cumplimiento norma anual de Material Particulado 2.5")
   EA_8 = models.FloatField(verbose_name="Consumo de agua potable residencial per cápita al día ")
   EA_9 = models.FloatField(verbose_name="Porcentaje de agua no facturada")
   IP_33a = models.FloatField(verbose_name="Superficie del Continuo de Construcciones Urbanas (CCU)")
   IP_33b = models.FloatField(verbose_name="Superficie de suelos de alto valor agrícola, según clases de suelo, próximas al CCU")
   IP_33c = models.FloatField(verbose_name="Superficie de sitios prioritarios para la conservación próximos al CCU")
   IS_20 = models.FloatField(verbose_name="Porcentaje de continuidad de la infraestructura vial en las áreas de crecimiento urbano")
   IP_47 = models.FloatField(verbose_name="Número de organizaciones de la sociedad civil por cada 1.000 habitantes")
   IP_47a = models.FloatField(verbose_name="Número de organizaciones comunitarias por cada 1.000 habitantes")
   IG_22 = models.FloatField(verbose_name="Porcentaje de proyectos urbanos de alto impacto con Participación Ciudadana Anticipada (PACA)")
